Redmine - Defect #3354

internal error 500 on issue move
2009-05-13 14:07 - Gregor Bader

Status: Closed Start date: 2009-05-13
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

We are using r2731 of redmine and this error occurs if a non-Admin user tries to move an issue.

If the user is admin it works!
Log:

Processing IssuesController#move (for 192.168.1.120 at 2009-05-13 14:06:31) [GET)]
Parameters: {"action"=>"move", "id"=>"61", "controller"=>"issues"}

NoMethodError (undefined method “role' for #<Member:0x88c8b44>):
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/attribute_methods.rb:2
/app/controllers/issues_controller.rb:287:in “move'

C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_collection.rb:359:in “method_missing

60:in "'method_missing'

C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_proxy.rb:212:in ‘method_missing'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_proxy.rb:212:in “each’
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_proxy.rb:212:in “send'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_proxy.rb:212:in “‘method_missing'

C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_collection.rb:359:in “‘method_missing

/app/controllers/issues_controller.rb:287:in “move'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1253:in “send'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1253:in “perform_action_without_filters'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:617:in “call_filters'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:610:in “perform_action_without_benchmark'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/benchmarking.rb:68:i
C:/Ruby/lib/ruby/1.8/benchmark.rb:293:in “measure’
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/benchmarking.rb:68:i

n “perform_action_without_rescue’

n “perform_action_without_rescue'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/rescue.rb:136:in “perform_action_without_caching'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/caching/sqgl_cache.rb:13:in “perform_action'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in “cache'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/query_cache.rb:8:in “cache'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/caching/sqgl_cache.rb:12:in “perform_action'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:524:in “send’

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:524:in “process_without_filters'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:606:in
“process_without_session_management_support'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session_management.rb:134:in “process’
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:392:in “process'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:183:in
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:110:in
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:123:in
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:122:in
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:122:in
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:132:in

“handle_request'’
“dispatch_unlocked'
“dispatch’
“synchronize'
“dispatch’
“dispatch_cgi'

C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:39:in “dispatch'’

C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1

.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:159:in
.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:158:in
.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:158:in

.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in

2025-05-01

.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in

.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in *

.1.5-x86-mswin32-60/bin/../lib/mongrel/rails.rb:76:in “process’
.1.5-x86-mswin32-60/bin/../lib/mongrel/rails.rb:74:in “synchronize'
.1.5-x86-mswin32-60/bin/../lib/mongrel/rails.rb:74:in “process’

“process_client'
“each’
‘process_client'
run'

“initialize'

new'

1/2



https://www.redmine.org/projects/redmine/repository/svn/revisions/2731

C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:268:in “initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:268:in "new'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:268:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:282:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:281:in “each'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:281:in “run’'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:128:in “run’'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/command.rb:212:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:281
C:/Ruby/bin/mongrel_rails:19:in “load’

C:/Ruby/bin/mongrel_rails:19

Rendering C:/redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision 2738 - 2009-05-13 17:58 - Jean-Philippe Lang
Fixed: issue move by non-admin broken by r2726 (#3354).

History

#1 - 2009-05-13 17:49 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2738.
